List Personas
curl --request GET \
--url https://api.scrunchai.com/v1/brands/{brand_id}/personas \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.scrunchai.com/v1/brands/{brand_id}/personas"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.scrunchai.com/v1/brands/{brand_id}/personas', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"total": 123,
"items": [
{
"id": 123,
"name": "<string>",
"description": "<string>"
}
],
"offset": 0,
"limit": 123,
"metadata": {
"period_count": 123,
"start_date": "2023-11-07T05:31:56Z",
"end_date": "2023-11-07T05:31:56Z",
"top_domains": {
"domains": [
{
"domain": "<string>",
"domain_owner": "<string>",
"observation_count": 123
}
],
"grand_total": 123,
"owner_totals": {},
"owner_time_series": [
{
"time_bucket": "<string>",
"brand": 123,
"competitor": 123,
"other": 123
}
],
"segment_totals": [
{
"name": "<string>",
"observation_count": 123
}
]
}
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Configuration API
List Personas
List personas for a brand
GET
/
brands
/
{brand_id}
/
personas
List Personas
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Query Parameters
Required range:
x >= 1Required range:
x >= 0Was this page helpful?
⌘I